[PATCH] generic/076: fixed incorrect fsstress parameters

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



Test was not run because directory parameter was omitted.
Also return value was not tested, so this problem was not caught.

Signed-off-by: Omer Zilberberg <omzg@xxxxxxxxxxxxx>
---
 tests/generic/076 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/tests/generic/076 b/tests/generic/076
index aa0aae0..3e1aa1a 100755
--- a/tests/generic/076
+++ b/tests/generic/076
@@ -74,9 +74,11 @@ echo "*** test concurrent block/fs access"
 cat $SCRATCH_DEV >/dev/null &
 pid=$!
 
-FSSTRESS_ARGS=`_scale_fsstress_args -p 2 -n 2000 $FSSTRESS_AVOID`
+FSSTRESS_ARGS=`_scale_fsstress_args -d $SCRATCH_MNT -p 2 -n 2000 $FSSTRESS_AVOID`
 echo "run fsstress with args: $FSSTRESS_ARGS" >>$seqres.full
 $FSSTRESS_PROG $FSSTRESS_ARGS >>$seqres.full
+rc=$?
+[ $rc != 0 ] && echo "fsstress returned $rc - see $seqres.full"
 _lets_get_pidst
 
 echo "*** done"
-- 
1.9.3

--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux